@import url("rebranding.css");

.loading-hidden {
    display: none !important;
}

body {
    background-color: var(--page-background-color);
}

#logincontainer {
    width: 352px;
    margin: 0 auto;
    position: relative;
    /* UI Properties */
    background: #FFFFFF 0% 0% no-repeat padding-box;
    border: 1px solid #EAECED;
    border-radius: 4px;
    opacity: 1;
    align-self: center;
}

#logincontentcontainer {
    width: inherit;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    padding-bottom: 24px;
}

#loginimage {
    margin-bottom: 24px;
    padding-top: 35px;
    padding-bottom: 35px;
    align-self: stretch;
    background-color: var(--login-logo-background-color);
    display: flex;
    flex-flow: column nowrap;
    height: 124px;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    background-color: #fff;
    border-bottom-color: #dfe3e6;
}

.logo {
    top: 354px;
    left: 814px;
    height: var(--login-image-height);
    width: var(--login-image-width);
    margin: auto;
    opacity: 1;
}

#loginwrapper {
    display: flex;
}

#logininputFields {

}

#loginButton {
    margin-left: auto;
    margin-top: 15px;
    row-gap: 16px;
    column-gap: 16px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: unset;
    justify-content: flex-end;
}

#submitLogin {
    background-color: var(--login-main-color);
    border-radius: 5px;
    min-width: 103px;
    /*width: 103px;*/
}

#loginButton > loginButton:disabled,
#loginButton > button[disabled] {
    background-color: rgba(0,0,0,.12);
    color: rgba(0,0,0,.26);
    cursor: default;
}

#loginButton > loginButton:disabled span,
#loginButton > button[disabled] span {
    color: rgba(0,0,0,.26);
}

.lnkExternalAuthProviderLogin {
    /* customize external providers Link buttons*/
}

.passwordDiv-parent {
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 75px; /* For pages except login, align to left.*/
}

.body-content-login {
    padding-left: 15px;
    padding-right: 15px;
}

#formlogin {
    align-self: stretch;
}

#formLoginIgnore {
    align-self: stretch;
}

#externalIdendityProviders ul {
    margin-left: -40px;
}

#externalIdendityProviders ul li {
    list-style: none;
    margin: 5px;
}

#externalIdendityProviders ul li a {
    display: flex;
    align-items: center;
}

.btn {
    border-radius: 20px;
    border: 1px solid lightgray;
    font-variant-caps: all-small-caps;
}

.btn-img {
    width: 22px;
    margin-right: 9px;
    margin-top: -4px;
}

.alert-danger {
    width: 100%;
}

.alert-danger ul {
    list-style-type: none;
    padding-inline-start: 0;
}

.alert-danger {
    color: var(--login-error-color);
    background-color: transparent;
}

.alert {
    padding: 0px;
    margin-bottom: 5px;
    border: transparent;
}

.error-icon {
    --size: 20px;
    display: inline-block;
    width: var(--size);
    height: var(--size);
    transition: .12s;
    -webkit-mask-size: cover;
    mask-size: cover;
}

.error-outline {
    background: var(--login-error-color);
    animation: 4s frames infinite linear;
    -webkit-mask-image: url(../images/error_outline.svg);
    mask-image: url(../images/error_outline.svg);
    position: absolute;
    float: right;
    top: 0px;
    right: 0px;
}
